#include "state.h"

void State::_bind_methods() {
}

String State::get_next_state() const {
	return this->get_class();
}

void State::set_state_machine(StateMachine *machine) {
	this->state_machine = machine;
}

StateMachine *State::get_state_machine() const {
	return this->state_machine;
}
